Loading...
Searching...
No Matches
astparser::AstParser Class Reference

AstParser class. More...

`#include <QC_AstParser.dox.h>`

## Public Member Functions

| constructor ()
| Creates the AstParser.
*list | getDiagnostics ()
| Get diagnostics. More...
int | getErrorCount ()
| Get parse error count. More...
*AstTree | parseFile (string filename)
| Parse file. More...
*AstTree | parseString (string str)
| Parse string. More...

## Detailed Description

AstParser class.

AstParser is used for parsing an AST tree of a Qore source file.

Since
  Qore 0.8.13

## Member Function Documentation

## getDiagnostics()

*list astparser::AstParser::getDiagnostics | ( |  | ) |

Get diagnostics.

Returns
  list of diagnostic hashes

## getErrorCount()

int astparser::AstParser::getErrorCount | ( |  | ) |

Get parse error count.

Returns
  error count

## parseFile()

*AstTree astparser::AstParser::parseFile | ( | string | filename | ) |

Parse file.

Parameters

  filename | file's name including path

Returns
  parsed AST tree

## parseString()

*AstTree astparser::AstParser::parseString | ( | string | str | ) |

Parse string.

Parameters

  str | string with code

Returns
  parsed AST tree

The documentation for this class was generated from the following file:

- modules/astparser/src/QC_AstParser.dox.h